spring:
  # redis 配置 - 暂时禁用
  # redis:
  #   # 地址
  #   host: 129.211.213.226
  #   # 端口，默认为6379
  #   port: 6379
  #   # 数据库索引
  #   database: 11
  #   # 密码
  #   password: Aiotj#gfdh7jk58s&12
  #   # 连接超时时间
  #   timeout: 30s
  #   lettuce:
  #     pool:
  #       # 连接池中的最小空闲连接
  #       min-idle: 2
  #       # 连接池中的最大空闲连接
  #       max-idle: 10
  #       # 连接池的最大数据库连接数
  #       max-active: 20
  #       # #连接池最大阻塞等待时间（使用负值表示没有限制）
  #       max-wait: 10s
  datasource:
    #   url: jdbc:mysql://mysql57-iot.aiotagro.com:60026/cattletrade?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
    # username: iot-plateform
    # password: 3qJ7$bV%N9mE
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://129.211.213.226:3306/cattletrade?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
    username: root
    password: Aiotagro@741

sa-token:
  # token 名称（同时也是 cookie 名称）
  token-name: Authorization
  # token 有效期（单位：秒） 默认30天，-1 代表永久有效
  timeout: 259200
  # token 最低活跃频率（单位：秒），如果 token 超过此时间没有访问系统就会被冻结，默认-1 代表不限制，永不冻结
  active-timeout: 86400
  # 是否允许同一账号多地同时登录 （为 true 时允许一起登录, 为 false 时新登录挤掉旧登录）
  is-concurrent: false
  # 在多人登录同一账号时，是否共用一个 token （为 true 时所有登录共用一个 token, 为 false 时每次登录新建一个 token）
  is-share: false
  # token 风格（默认可取值：uuid、simple-uuid、random-32、random-64、random-128、tik）
  token-style: random-64
  # 是否输出操作日志
  is-log: true
  # 同一账号最大登录数量
  max-login-count: 1
  # 是否尝试从请求体里读取token
  is-read-body: false
  # 是否尝试从请求头读取token
  is-read-header: true
  # 是否尝试从cookie读取token，为false时登录也不会再往前端注入cookie
  is-read-cookie: false
  # 是否在登录后将 Token 写入到响应头
  is-write-header: true
  # 自动续签
  auto-renew: true
  token-prefix: Bearer
  # 是否在初始化配置时打印版本
  is-print: false
  # 是否打印操作日志
  is-color-log: true
  # jwt秘钥
  jwt-secret-key: aiotagrocommonpayplatformsystem
  # 权限验证策略
  check-id-token: true
  # 开启通配符权限匹配
  match-mode: true
  # 使用内存存储替代Redis
  alone-redis: false

remote:
  baseUrl: http://127.0.0.1:8080/

retrofit:
  # 日志打印配置
  log:
    # 启用日志打印
    enable: true
    # 日志打印拦截器
    logging-interceptor: com.github.lianjiatech.retrofit.spring.boot.interceptor.DefaultLoggingInterceptor
    # 全局日志打印级别
    global-log-level: info
    # 全局日志打印策略
    global-log-strategy: body
    # 全局连接超时时间
    global-connect-timeout-ms: 3000
    # 全局读取超时时间
    global-read-timeout-ms: 3000
    # 全局写入超时时间
    global-write-timeout-ms: 35000
    # 全局完整调用超时时间
    global-call-timeout-ms: 0

xxl:
  job:
    admin:
      addresses: https://demo-xxljob.aiotagro.com #测试地址，生产地址换成https://xxl-job-admin.aiotagro.com/
    accessToken: default #和xxl-job服务里的accessToken保持一致 此项目前可以保持默认
    executor:
      # 执行器名称，跟管理平台设置的Appname保持一致
      appname: trade-cattle
      #ip: 10.123.1.53 端口要保证全局唯一
      port: 9620
      # 日志地址
      logpath: /data/applogs/xxl-job/jobhandler
      # 日志保存时间
      logretentiondays: 30
      address:
      ip:

# 日志配置
logging:
  level:
    com.aiotagro: debug
    org.springframework: info